# cjm-yolox-pytorch

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Install

``` sh
pip install cjm_yolox_pytorch
```

## How to use

``` python
from cjm_yolox_pytorch.model import MODEL_TYPES, build_model
```

**Select model type**

``` python
model_type = MODEL_TYPES[0]
model_type
```

    'yolox_tiny'

**Build YOLOX model**

``` python
import torch

yolox = build_model(model_type, 19)

test_inp = torch.randn(1, 3, 256, 256)

with torch.no_grad():
    cls_scores, bbox_preds, objectness = yolox(test_inp)
    
print(f"cls_scores: {[cls_score.shape for cls_score in cls_scores]}")
print(f"bbox_preds: {[bbox_pred.shape for bbox_pred in bbox_preds]}")
print(f"objectness: {[objectness.shape for objectness in objectness]}")
```

    The file ./pretrained_checkpoints/yolox_tiny.pth already exists and overwrite is set to False.
    Error occurred while building the model: Error(s) in loading state_dict for YOLOX:
        Missing key(s) in state_dict: "backbone.stages.0.0.conv.weight", "backbone.stages.0.0.bn.weight", "backbone.stages.0.0.bn.bias", "backbone.stages.0.0.bn.running_mean", "backbone.stages.0.0.bn.running_var", "backbone.stages.0.1.main_conv.conv.weight", "backbone.stages.0.1.main_conv.bn.weight", "backbone.stages.0.1.main_conv.bn.bias", "backbone.stages.0.1.main_conv.bn.running_mean", "backbone.stages.0.1.main_conv.bn.running_var", "backbone.stages.0.1.short_conv.conv.weight", "backbone.stages.0.1.short_conv.bn.weight", "backbone.stages.0.1.short_conv.bn.bias", "backbone.stages.0.1.short_conv.bn.running_mean", "backbone.stages.0.1.short_conv.bn.running_var", "backbone.stages.0.1.final_conv.conv.weight", "backbone.stages.0.1.final_conv.bn.weight", "backbone.stages.0.1.final_conv.bn.bias", "backbone.stages.0.1.final_conv.bn.running_mean", "backbone.stages.0.1.final_conv.bn.running_var", "backbone.stages.0.1.blocks.0.layers.0.conv.weight", "backbone.stages.0.1.blocks.0.layers.0.bn.weight", "backbone.stages.0.1.blocks.0.layers.0.bn.bias", "backbone.stages.0.1.blocks.0.layers.0.bn.running_mean", "backbone.stages.0.1.blocks.0.layers.0.bn.running_var", "backbone.stages.0.1.blocks.0.layers.1.conv.weight", "backbone.stages.0.1.blocks.0.layers.1.bn.weight", "backbone.stages.0.1.blocks.0.layers.1.bn.bias", "backbone.stages.0.1.blocks.0.layers.1.bn.running_mean", "backbone.stages.0.1.blocks.0.layers.1.bn.running_var", "backbone.stages.1.0.conv.weight", "backbone.stages.1.0.bn.weight", "backbone.stages.1.0.bn.bias", "backbone.stages.1.0.bn.running_mean", "backbone.stages.1.0.bn.running_var", "backbone.stages.1.1.main_conv.conv.weight", "backbone.stages.1.1.main_conv.bn.weight", "backbone.stages.1.1.main_conv.bn.bias", "backbone.stages.1.1.main_conv.bn.running_mean", "backbone.stages.1.1.main_conv.bn.running_var", "backbone.stages.1.1.short_conv.conv.weight", "backbone.stages.1.1.short_conv.bn.weight", "backbone.stages.1.1.short_conv.bn.bias", "backbone.stages.1.1.short_conv.bn.running_mean", "backbone.stages.1.1.short_conv.bn.running_var", "backbone.stages.1.1.final_conv.conv.weight", "backbone.stages.1.1.final_conv.bn.weight", "backbone.stages.1.1.final_conv.bn.bias", "backbone.stages.1.1.final_conv.bn.running_mean", "backbone.stages.1.1.final_conv.bn.running_var", "backbone.stages.1.1.blocks.0.layers.0.conv.weight", "backbone.stages.1.1.blocks.0.layers.0.bn.weight", "backbone.stages.1.1.blocks.0.layers.0.bn.bias", "backbone.stages.1.1.blocks.0.layers.0.bn.running_mean", "backbone.stages.1.1.blocks.0.layers.0.bn.running_var", "backbone.stages.1.1.blocks.0.layers.1.conv.weight", "backbone.stages.1.1.blocks.0.layers.1.bn.weight", "backbone.stages.1.1.blocks.0.layers.1.bn.bias", "backbone.stages.1.1.blocks.0.layers.1.bn.running_mean", "backbone.stages.1.1.blocks.0.layers.1.bn.running_var", "backbone.stages.1.1.blocks.1.layers.0.conv.weight", "backbone.stages.1.1.blocks.1.layers.0.bn.weight", "backbone.stages.1.1.blocks.1.layers.0.bn.bias", "backbone.stages.1.1.blocks.1.layers.0.bn.running_mean", "backbone.stages.1.1.blocks.1.layers.0.bn.running_var", "backbone.stages.1.1.blocks.1.layers.1.conv.weight", "backbone.stages.1.1.blocks.1.layers.1.bn.weight", "backbone.stages.1.1.blocks.1.layers.1.bn.bias", "backbone.stages.1.1.blocks.1.layers.1.bn.running_mean", "backbone.stages.1.1.blocks.1.layers.1.bn.running_var", "backbone.stages.1.1.blocks.2.layers.0.conv.weight", "backbone.stages.1.1.blocks.2.layers.0.bn.weight", "backbone.stages.1.1.blocks.2.layers.0.bn.bias", "backbone.stages.1.1.blocks.2.layers.0.bn.running_mean", "backbone.stages.1.1.blocks.2.layers.0.bn.running_var", "backbone.stages.1.1.blocks.2.layers.1.conv.weight", "backbone.stages.1.1.blocks.2.layers.1.bn.weight", "backbone.stages.1.1.blocks.2.layers.1.bn.bias", "backbone.stages.1.1.blocks.2.layers.1.bn.running_mean", "backbone.stages.1.1.blocks.2.layers.1.bn.running_var", "backbone.stages.2.0.conv.weight", "backbone.stages.2.0.bn.weight", "backbone.stages.2.0.bn.bias", "backbone.stages.2.0.bn.running_mean", "backbone.stages.2.0.bn.running_var", "backbone.stages.2.1.main_conv.conv.weight", "backbone.stages.2.1.main_conv.bn.weight", "backbone.stages.2.1.main_conv.bn.bias", "backbone.stages.2.1.main_conv.bn.running_mean", "backbone.stages.2.1.main_conv.bn.running_var", "backbone.stages.2.1.short_conv.conv.weight", "backbone.stages.2.1.short_conv.bn.weight", "backbone.stages.2.1.short_conv.bn.bias", "backbone.stages.2.1.short_conv.bn.running_mean", "backbone.stages.2.1.short_conv.bn.running_var", "backbone.stages.2.1.final_conv.conv.weight", "backbone.stages.2.1.final_conv.bn.weight", "backbone.stages.2.1.final_conv.bn.bias", "backbone.stages.2.1.final_conv.bn.running_mean", "backbone.stages.2.1.final_conv.bn.running_var", "backbone.stages.2.1.blocks.0.layers.0.conv.weight", "backbone.stages.2.1.blocks.0.layers.0.bn.weight", "backbone.stages.2.1.blocks.0.layers.0.bn.bias", "backbone.stages.2.1.blocks.0.layers.0.bn.running_mean", "backbone.stages.2.1.blocks.0.layers.0.bn.running_var", "backbone.stages.2.1.blocks.0.layers.1.conv.weight", "backbone.stages.2.1.blocks.0.layers.1.bn.weight", "backbone.stages.2.1.blocks.0.layers.1.bn.bias", "backbone.stages.2.1.blocks.0.layers.1.bn.running_mean", "backbone.stages.2.1.blocks.0.layers.1.bn.running_var", "backbone.stages.2.1.blocks.1.layers.0.conv.weight", "backbone.stages.2.1.blocks.1.layers.0.bn.weight", "backbone.stages.2.1.blocks.1.layers.0.bn.bias", "backbone.stages.2.1.blocks.1.layers.0.bn.running_mean", "backbone.stages.2.1.blocks.1.layers.0.bn.running_var", "backbone.stages.2.1.blocks.1.layers.1.conv.weight", "backbone.stages.2.1.blocks.1.layers.1.bn.weight", "backbone.stages.2.1.blocks.1.layers.1.bn.bias", "backbone.stages.2.1.blocks.1.layers.1.bn.running_mean", "backbone.stages.2.1.blocks.1.layers.1.bn.running_var", "backbone.stages.2.1.blocks.2.layers.0.conv.weight", "backbone.stages.2.1.blocks.2.layers.0.bn.weight", "backbone.stages.2.1.blocks.2.layers.0.bn.bias", "backbone.stages.2.1.blocks.2.layers.0.bn.running_mean", "backbone.stages.2.1.blocks.2.layers.0.bn.running_var", "backbone.stages.2.1.blocks.2.layers.1.conv.weight", "backbone.stages.2.1.blocks.2.layers.1.bn.weight", "backbone.stages.2.1.blocks.2.layers.1.bn.bias", "backbone.stages.2.1.blocks.2.layers.1.bn.running_mean", "backbone.stages.2.1.blocks.2.layers.1.bn.running_var", "backbone.stages.3.0.conv.weight", "backbone.stages.3.0.bn.weight", "backbone.stages.3.0.bn.bias", "backbone.stages.3.0.bn.running_mean", "backbone.stages.3.0.bn.running_var", "backbone.stages.3.1.net.0.conv.weight", "backbone.stages.3.1.net.0.bn.weight", "backbone.stages.3.1.net.0.bn.bias", "backbone.stages.3.1.net.0.bn.running_mean", "backbone.stages.3.1.net.0.bn.running_var", "backbone.stages.3.1.net.2.conv.weight", "backbone.stages.3.1.net.2.bn.weight", "backbone.stages.3.1.net.2.bn.bias", "backbone.stages.3.1.net.2.bn.running_mean", "backbone.stages.3.1.net.2.bn.running_var", "backbone.stages.3.2.main_conv.conv.weight", "backbone.stages.3.2.main_conv.bn.weight", "backbone.stages.3.2.main_conv.bn.bias", "backbone.stages.3.2.main_conv.bn.running_mean", "backbone.stages.3.2.main_conv.bn.running_var", "backbone.stages.3.2.short_conv.conv.weight", "backbone.stages.3.2.short_conv.bn.weight", "backbone.stages.3.2.short_conv.bn.bias", "backbone.stages.3.2.short_conv.bn.running_mean", "backbone.stages.3.2.short_conv.bn.running_var", "backbone.stages.3.2.final_conv.conv.weight", "backbone.stages.3.2.final_conv.bn.weight", "backbone.stages.3.2.final_conv.bn.bias", "backbone.stages.3.2.final_conv.bn.running_mean", "backbone.stages.3.2.final_conv.bn.running_var", "backbone.stages.3.2.blocks.0.layers.0.conv.weight", "backbone.stages.3.2.blocks.0.layers.0.bn.weight", "backbone.stages.3.2.blocks.0.layers.0.bn.bias", "backbone.stages.3.2.blocks.0.layers.0.bn.running_mean", "backbone.stages.3.2.blocks.0.layers.0.bn.running_var", "backbone.stages.3.2.blocks.0.layers.1.conv.weight", "backbone.stages.3.2.blocks.0.layers.1.bn.weight", "backbone.stages.3.2.blocks.0.layers.1.bn.bias", "backbone.stages.3.2.blocks.0.layers.1.bn.running_mean", "backbone.stages.3.2.blocks.0.layers.1.bn.running_var", "neck.top_down_blocks.0.blocks.0.layers.0.conv.weight", "neck.top_down_blocks.0.blocks.0.layers.0.bn.weight", "neck.top_down_blocks.0.blocks.0.layers.0.bn.bias", "neck.top_down_blocks.0.blocks.0.layers.0.bn.running_mean", "neck.top_down_blocks.0.blocks.0.layers.0.bn.running_var", "neck.top_down_blocks.0.blocks.0.layers.1.conv.weight", "neck.top_down_blocks.0.blocks.0.layers.1.bn.weight", "neck.top_down_blocks.0.blocks.0.layers.1.bn.bias", "neck.top_down_blocks.0.blocks.0.layers.1.bn.running_mean", "neck.top_down_blocks.0.blocks.0.layers.1.bn.running_var", "neck.top_down_blocks.1.blocks.0.layers.0.conv.weight", "neck.top_down_blocks.1.blocks.0.layers.0.bn.weight", "neck.top_down_blocks.1.blocks.0.layers.0.bn.bias", "neck.top_down_blocks.1.blocks.0.layers.0.bn.running_mean", "neck.top_down_blocks.1.blocks.0.layers.0.bn.running_var", "neck.top_down_blocks.1.blocks.0.layers.1.conv.weight", "neck.top_down_blocks.1.blocks.0.layers.1.bn.weight", "neck.top_down_blocks.1.blocks.0.layers.1.bn.bias", "neck.top_down_blocks.1.blocks.0.layers.1.bn.running_mean", "neck.top_down_blocks.1.blocks.0.layers.1.bn.running_var", "neck.bottom_up_blocks.0.blocks.0.layers.0.conv.weight", "neck.bottom_up_blocks.0.blocks.0.layers.0.bn.weight", "neck.bottom_up_blocks.0.blocks.0.layers.0.bn.bias", "neck.bottom_up_blocks.0.blocks.0.layers.0.bn.running_mean", "neck.bottom_up_blocks.0.blocks.0.layers.0.bn.running_var", "neck.bottom_up_blocks.0.blocks.0.layers.1.conv.weight", "neck.bottom_up_blocks.0.blocks.0.layers.1.bn.weight", "neck.bottom_up_blocks.0.blocks.0.layers.1.bn.bias", "neck.bottom_up_blocks.0.blocks.0.layers.1.bn.running_mean", "neck.bottom_up_blocks.0.blocks.0.layers.1.bn.running_var", "neck.bottom_up_blocks.1.blocks.0.layers.0.conv.weight", "neck.bottom_up_blocks.1.blocks.0.layers.0.bn.weight", "neck.bottom_up_blocks.1.blocks.0.layers.0.bn.bias", "neck.bottom_up_blocks.1.blocks.0.layers.0.bn.running_mean", "neck.bottom_up_blocks.1.blocks.0.layers.0.bn.running_var", "neck.bottom_up_blocks.1.blocks.0.layers.1.conv.weight", "neck.bottom_up_blocks.1.blocks.0.layers.1.bn.weight", "neck.bottom_up_blocks.1.blocks.0.layers.1.bn.bias", "neck.bottom_up_blocks.1.blocks.0.layers.1.bn.running_mean", "neck.bottom_up_blocks.1.blocks.0.layers.1.bn.running_var". 
        Unexpected key(s) in state_dict: "backbone.stage1.0.conv.weight", "backbone.stage1.0.bn.weight", "backbone.stage1.0.bn.bias", "backbone.stage1.0.bn.running_mean", "backbone.stage1.0.bn.running_var", "backbone.stage1.0.bn.num_batches_tracked", "backbone.stage1.1.main_conv.conv.weight", "backbone.stage1.1.main_conv.bn.weight", "backbone.stage1.1.main_conv.bn.bias", "backbone.stage1.1.main_conv.bn.running_mean", "backbone.stage1.1.main_conv.bn.running_var", "backbone.stage1.1.main_conv.bn.num_batches_tracked", "backbone.stage1.1.short_conv.conv.weight", "backbone.stage1.1.short_conv.bn.weight", "backbone.stage1.1.short_conv.bn.bias", "backbone.stage1.1.short_conv.bn.running_mean", "backbone.stage1.1.short_conv.bn.running_var", "backbone.stage1.1.short_conv.bn.num_batches_tracked", "backbone.stage1.1.final_conv.conv.weight", "backbone.stage1.1.final_conv.bn.weight", "backbone.stage1.1.final_conv.bn.bias", "backbone.stage1.1.final_conv.bn.running_mean", "backbone.stage1.1.final_conv.bn.running_var", "backbone.stage1.1.final_conv.bn.num_batches_tracked", "backbone.stage1.1.blocks.0.conv1.conv.weight", "backbone.stage1.1.blocks.0.conv1.bn.weight", "backbone.stage1.1.blocks.0.conv1.bn.bias", "backbone.stage1.1.blocks.0.conv1.bn.running_mean", "backbone.stage1.1.blocks.0.conv1.bn.running_var", "backbone.stage1.1.blocks.0.conv1.bn.num_batches_tracked", "backbone.stage1.1.blocks.0.conv2.conv.weight", "backbone.stage1.1.blocks.0.conv2.bn.weight", "backbone.stage1.1.blocks.0.conv2.bn.bias", "backbone.stage1.1.blocks.0.conv2.bn.running_mean", "backbone.stage1.1.blocks.0.conv2.bn.running_var", "backbone.stage1.1.blocks.0.conv2.bn.num_batches_tracked", "backbone.stage2.0.conv.weight", "backbone.stage2.0.bn.weight", "backbone.stage2.0.bn.bias", "backbone.stage2.0.bn.running_mean", "backbone.stage2.0.bn.running_var", "backbone.stage2.0.bn.num_batches_tracked", "backbone.stage2.1.main_conv.conv.weight", "backbone.stage2.1.main_conv.bn.weight", "backbone.stage2.1.main_conv.bn.bias", "backbone.stage2.1.main_conv.bn.running_mean", "backbone.stage2.1.main_conv.bn.running_var", "backbone.stage2.1.main_conv.bn.num_batches_tracked", "backbone.stage2.1.short_conv.conv.weight", "backbone.stage2.1.short_conv.bn.weight", "backbone.stage2.1.short_conv.bn.bias", "backbone.stage2.1.short_conv.bn.running_mean", "backbone.stage2.1.short_conv.bn.running_var", "backbone.stage2.1.short_conv.bn.num_batches_tracked", "backbone.stage2.1.final_conv.conv.weight", "backbone.stage2.1.final_conv.bn.weight", "backbone.stage2.1.final_conv.bn.bias", "backbone.stage2.1.final_conv.bn.running_mean", "backbone.stage2.1.final_conv.bn.running_var", "backbone.stage2.1.final_conv.bn.num_batches_tracked", "backbone.stage2.1.blocks.0.conv1.conv.weight", "backbone.stage2.1.blocks.0.conv1.bn.weight", "backbone.stage2.1.blocks.0.conv1.bn.bias", "backbone.stage2.1.blocks.0.conv1.bn.running_mean", "backbone.stage2.1.blocks.0.conv1.bn.running_var", "backbone.stage2.1.blocks.0.conv1.bn.num_batches_tracked", "backbone.stage2.1.blocks.0.conv2.conv.weight", "backbone.stage2.1.blocks.0.conv2.bn.weight", "backbone.stage2.1.blocks.0.conv2.bn.bias", "backbone.stage2.1.blocks.0.conv2.bn.running_mean", "backbone.stage2.1.blocks.0.conv2.bn.running_var", "backbone.stage2.1.blocks.0.conv2.bn.num_batches_tracked", "backbone.stage2.1.blocks.1.conv1.conv.weight", "backbone.stage2.1.blocks.1.conv1.bn.weight", "backbone.stage2.1.blocks.1.conv1.bn.bias", "backbone.stage2.1.blocks.1.conv1.bn.running_mean", "backbone.stage2.1.blocks.1.conv1.bn.running_var", "backbone.stage2.1.blocks.1.conv1.bn.num_batches_tracked", "backbone.stage2.1.blocks.1.conv2.conv.weight", "backbone.stage2.1.blocks.1.conv2.bn.weight", "backbone.stage2.1.blocks.1.conv2.bn.bias", "backbone.stage2.1.blocks.1.conv2.bn.running_mean", "backbone.stage2.1.blocks.1.conv2.bn.running_var", "backbone.stage2.1.blocks.1.conv2.bn.num_batches_tracked", "backbone.stage2.1.blocks.2.conv1.conv.weight", "backbone.stage2.1.blocks.2.conv1.bn.weight", "backbone.stage2.1.blocks.2.conv1.bn.bias", "backbone.stage2.1.blocks.2.conv1.bn.running_mean", "backbone.stage2.1.blocks.2.conv1.bn.running_var", "backbone.stage2.1.blocks.2.conv1.bn.num_batches_tracked", "backbone.stage2.1.blocks.2.conv2.conv.weight", "backbone.stage2.1.blocks.2.conv2.bn.weight", "backbone.stage2.1.blocks.2.conv2.bn.bias", "backbone.stage2.1.blocks.2.conv2.bn.running_mean", "backbone.stage2.1.blocks.2.conv2.bn.running_var", "backbone.stage2.1.blocks.2.conv2.bn.num_batches_tracked", "backbone.stage3.0.conv.weight", "backbone.stage3.0.bn.weight", "backbone.stage3.0.bn.bias", "backbone.stage3.0.bn.running_mean", "backbone.stage3.0.bn.running_var", "backbone.stage3.0.bn.num_batches_tracked", "backbone.stage3.1.main_conv.conv.weight", "backbone.stage3.1.main_conv.bn.weight", "backbone.stage3.1.main_conv.bn.bias", "backbone.stage3.1.main_conv.bn.running_mean", "backbone.stage3.1.main_conv.bn.running_var", "backbone.stage3.1.main_conv.bn.num_batches_tracked", "backbone.stage3.1.short_conv.conv.weight", "backbone.stage3.1.short_conv.bn.weight", "backbone.stage3.1.short_conv.bn.bias", "backbone.stage3.1.short_conv.bn.running_mean", "backbone.stage3.1.short_conv.bn.running_var", "backbone.stage3.1.short_conv.bn.num_batches_tracked", "backbone.stage3.1.final_conv.conv.weight", "backbone.stage3.1.final_conv.bn.weight", "backbone.stage3.1.final_conv.bn.bias", "backbone.stage3.1.final_conv.bn.running_mean", "backbone.stage3.1.final_conv.bn.running_var", "backbone.stage3.1.final_conv.bn.num_batches_tracked", "backbone.stage3.1.blocks.0.conv1.conv.weight", "backbone.stage3.1.blocks.0.conv1.bn.weight", "backbone.stage3.1.blocks.0.conv1.bn.bias", "backbone.stage3.1.blocks.0.conv1.bn.running_mean", "backbone.stage3.1.blocks.0.conv1.bn.running_var", "backbone.stage3.1.blocks.0.conv1.bn.num_batches_tracked", "backbone.stage3.1.blocks.0.conv2.conv.weight", "backbone.stage3.1.blocks.0.conv2.bn.weight", "backbone.stage3.1.blocks.0.conv2.bn.bias", "backbone.stage3.1.blocks.0.conv2.bn.running_mean", "backbone.stage3.1.blocks.0.conv2.bn.running_var", "backbone.stage3.1.blocks.0.conv2.bn.num_batches_tracked", "backbone.stage3.1.blocks.1.conv1.conv.weight", "backbone.stage3.1.blocks.1.conv1.bn.weight", "backbone.stage3.1.blocks.1.conv1.bn.bias", "backbone.stage3.1.blocks.1.conv1.bn.running_mean", "backbone.stage3.1.blocks.1.conv1.bn.running_var", "backbone.stage3.1.blocks.1.conv1.bn.num_batches_tracked", "backbone.stage3.1.blocks.1.conv2.conv.weight", "backbone.stage3.1.blocks.1.conv2.bn.weight", "backbone.stage3.1.blocks.1.conv2.bn.bias", "backbone.stage3.1.blocks.1.conv2.bn.running_mean", "backbone.stage3.1.blocks.1.conv2.bn.running_var", "backbone.stage3.1.blocks.1.conv2.bn.num_batches_tracked", "backbone.stage3.1.blocks.2.conv1.conv.weight", "backbone.stage3.1.blocks.2.conv1.bn.weight", "backbone.stage3.1.blocks.2.conv1.bn.bias", "backbone.stage3.1.blocks.2.conv1.bn.running_mean", "backbone.stage3.1.blocks.2.conv1.bn.running_var", "backbone.stage3.1.blocks.2.conv1.bn.num_batches_tracked", "backbone.stage3.1.blocks.2.conv2.conv.weight", "backbone.stage3.1.blocks.2.conv2.bn.weight", "backbone.stage3.1.blocks.2.conv2.bn.bias", "backbone.stage3.1.blocks.2.conv2.bn.running_mean", "backbone.stage3.1.blocks.2.conv2.bn.running_var", "backbone.stage3.1.blocks.2.conv2.bn.num_batches_tracked", "backbone.stage4.0.conv.weight", "backbone.stage4.0.bn.weight", "backbone.stage4.0.bn.bias", "backbone.stage4.0.bn.running_mean", "backbone.stage4.0.bn.running_var", "backbone.stage4.0.bn.num_batches_tracked", "backbone.stage4.1.conv1.conv.weight", "backbone.stage4.1.conv1.bn.weight", "backbone.stage4.1.conv1.bn.bias", "backbone.stage4.1.conv1.bn.running_mean", "backbone.stage4.1.conv1.bn.running_var", "backbone.stage4.1.conv1.bn.num_batches_tracked", "backbone.stage4.1.conv2.conv.weight", "backbone.stage4.1.conv2.bn.weight", "backbone.stage4.1.conv2.bn.bias", "backbone.stage4.1.conv2.bn.running_mean", "backbone.stage4.1.conv2.bn.running_var", "backbone.stage4.1.conv2.bn.num_batches_tracked", "backbone.stage4.2.main_conv.conv.weight", "backbone.stage4.2.main_conv.bn.weight", "backbone.stage4.2.main_conv.bn.bias", "backbone.stage4.2.main_conv.bn.running_mean", "backbone.stage4.2.main_conv.bn.running_var", "backbone.stage4.2.main_conv.bn.num_batches_tracked", "backbone.stage4.2.short_conv.conv.weight", "backbone.stage4.2.short_conv.bn.weight", "backbone.stage4.2.short_conv.bn.bias", "backbone.stage4.2.short_conv.bn.running_mean", "backbone.stage4.2.short_conv.bn.running_var", "backbone.stage4.2.short_conv.bn.num_batches_tracked", "backbone.stage4.2.final_conv.conv.weight", "backbone.stage4.2.final_conv.bn.weight", "backbone.stage4.2.final_conv.bn.bias", "backbone.stage4.2.final_conv.bn.running_mean", "backbone.stage4.2.final_conv.bn.running_var", "backbone.stage4.2.final_conv.bn.num_batches_tracked", "backbone.stage4.2.blocks.0.conv1.conv.weight", "backbone.stage4.2.blocks.0.conv1.bn.weight", "backbone.stage4.2.blocks.0.conv1.bn.bias", "backbone.stage4.2.blocks.0.conv1.bn.running_mean", "backbone.stage4.2.blocks.0.conv1.bn.running_var", "backbone.stage4.2.blocks.0.conv1.bn.num_batches_tracked", "backbone.stage4.2.blocks.0.conv2.conv.weight", "backbone.stage4.2.blocks.0.conv2.bn.weight", "backbone.stage4.2.blocks.0.conv2.bn.bias", "backbone.stage4.2.blocks.0.conv2.bn.running_mean", "backbone.stage4.2.blocks.0.conv2.bn.running_var", "backbone.stage4.2.blocks.0.conv2.bn.num_batches_tracked", "neck.top_down_blocks.0.blocks.0.conv1.conv.weight", "neck.top_down_blocks.0.blocks.0.conv1.bn.weight", "neck.top_down_blocks.0.blocks.0.conv1.bn.bias", "neck.top_down_blocks.0.blocks.0.conv1.bn.running_mean", "neck.top_down_blocks.0.blocks.0.conv1.bn.running_var", "neck.top_down_blocks.0.blocks.0.conv1.bn.num_batches_tracked", "neck.top_down_blocks.0.blocks.0.conv2.conv.weight", "neck.top_down_blocks.0.blocks.0.conv2.bn.weight", "neck.top_down_blocks.0.blocks.0.conv2.bn.bias", "neck.top_down_blocks.0.blocks.0.conv2.bn.running_mean", "neck.top_down_blocks.0.blocks.0.conv2.bn.running_var", "neck.top_down_blocks.0.blocks.0.conv2.bn.num_batches_tracked", "neck.top_down_blocks.1.blocks.0.conv1.conv.weight", "neck.top_down_blocks.1.blocks.0.conv1.bn.weight", "neck.top_down_blocks.1.blocks.0.conv1.bn.bias", "neck.top_down_blocks.1.blocks.0.conv1.bn.running_mean", "neck.top_down_blocks.1.blocks.0.conv1.bn.running_var", "neck.top_down_blocks.1.blocks.0.conv1.bn.num_batches_tracked", "neck.top_down_blocks.1.blocks.0.conv2.conv.weight", "neck.top_down_blocks.1.blocks.0.conv2.bn.weight", "neck.top_down_blocks.1.blocks.0.conv2.bn.bias", "neck.top_down_blocks.1.blocks.0.conv2.bn.running_mean", "neck.top_down_blocks.1.blocks.0.conv2.bn.running_var", "neck.top_down_blocks.1.blocks.0.conv2.bn.num_batches_tracked", "neck.bottom_up_blocks.0.blocks.0.conv1.conv.weight", "neck.bottom_up_blocks.0.blocks.0.conv1.bn.weight", "neck.bottom_up_blocks.0.blocks.0.conv1.bn.bias", "neck.bottom_up_blocks.0.blocks.0.conv1.bn.running_mean", "neck.bottom_up_blocks.0.blocks.0.conv1.bn.running_var", "neck.bottom_up_blocks.0.blocks.0.conv1.bn.num_batches_tracked", "neck.bottom_up_blocks.0.blocks.0.conv2.conv.weight", "neck.bottom_up_blocks.0.blocks.0.conv2.bn.weight", "neck.bottom_up_blocks.0.blocks.0.conv2.bn.bias", "neck.bottom_up_blocks.0.blocks.0.conv2.bn.running_mean", "neck.bottom_up_blocks.0.blocks.0.conv2.bn.running_var", "neck.bottom_up_blocks.0.blocks.0.conv2.bn.num_batches_tracked", "neck.bottom_up_blocks.1.blocks.0.conv1.conv.weight", "neck.bottom_up_blocks.1.blocks.0.conv1.bn.weight", "neck.bottom_up_blocks.1.blocks.0.conv1.bn.bias", "neck.bottom_up_blocks.1.blocks.0.conv1.bn.running_mean", "neck.bottom_up_blocks.1.blocks.0.conv1.bn.running_var", "neck.bottom_up_blocks.1.blocks.0.conv1.bn.num_batches_tracked", "neck.bottom_up_blocks.1.blocks.0.conv2.conv.weight", "neck.bottom_up_blocks.1.blocks.0.conv2.bn.weight", "neck.bottom_up_blocks.1.blocks.0.conv2.bn.bias", "neck.bottom_up_blocks.1.blocks.0.conv2.bn.running_mean", "neck.bottom_up_blocks.1.blocks.0.conv2.bn.running_var", "neck.bottom_up_blocks.1.blocks.0.conv2.bn.num_batches_tracked". 

    TypeError: 'NoneType' object is not callable
